#462 idno@type='uri' for Linked Data

GREEN
closed-fixed
None
5(default)
2014-08-15
2013-06-20
Kevin Hawkins
No

Hugh Cayless wrote on tei-council on 2013-06-20:

It is possible to have an HTTP URI which is also an identifier, and in that case, I'd argue for keeping it in <idno>. I doubt there are any examples in the Guidelines, but it's the kind of thing we may see more of as Linked Data picks up steam. For example, the URI http://papyri.info/biblio/8276/ref denotes an actual book, and resolves to http://papyri.info/biblio/8276, which is a bibliographic record. Worldcat ids, like http://www.worldcat.org/oclc/185922478 function in the same way, and I can easily see people wanting to use them inside <bibl>s. I would. Maybe some thinking about the appropriate @type to use for these is warranted...

I suggest that we add "uri" as a suggested value for idno@type and gloss this value as being used for URI used as an identifier for an item without intending resolution. Giving one of these examples would be good.

While I also suspect we haven't used <idno> this way in the Guidelines, I know that we have used @ref in this way in a few cases. For example: <author ref="http://id.loc.gov/authorities/names/no2001067434">. I think these can stay as they are.

Related

Feature Requests: #462

Discussion

  • Kevin Hawkins
    Kevin Hawkins
    2013-06-20

    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -3,3 +3,5 @@
     > It *is* possible to have an HTTP URI which is also an identifier, and in that case, I'd argue for keeping it in `<idno>`. I doubt there are any examples in the Guidelines, but it's the kind of thing we may see more of as Linked Data picks up steam. For example, the URI `http://papyri.info/biblio/8276/ref` denotes an actual book, and resolves to http://papyri.info/biblio/8276, which is a bibliographic record. Worldcat ids, like `http://www.worldcat.org/oclc/185922478` function in the same way, and I can easily see people wanting to use them inside `<bibl>`s.  I would. Maybe some thinking about the appropriate @type to use for these is warranted...
    
     I suggest that we add "uri" as a suggested value for idno@type and gloss this value as being used for URI used as an identifier for an item without intending resolution.  Giving one of these examples would be good.
    +
    +While I also suspect we haven't used `<idno>` this way in the Guidelines, I know that we have used @ref in this way in a few cases.  For example: `<author ref="http://id.loc.gov/authorities/names/no2001067434">`.  I think these can stay as they are.
    
     
  • Piotr Banski
    Piotr Banski
    2013-06-20

    I've always thought that being an identifier is an inherent definitional property of an URI, and that it belongs in <idno> rather uncontroversially. Maybe it's enough to replace "URL" with "URI" in the examples listed in the spec.

     
  • Kevin Hawkins
    Kevin Hawkins
    2013-06-20

    We are planning to change instances of <idno type="url"> to <ptr/> or <ref>: https://sourceforge.net/p/tei/bugs/448/ . So there won't be any left at that point.

    I still like the idea of using idno@type='uri' in cases of actual URIs because they are guaranteed to be unique in a way that any use of <idno> is not.

     
    Last edit: Kevin Hawkins 2013-11-10
  • Martin Holmes
    Martin Holmes
    2013-06-20

    We already have one example in the spec of a URI which is a specific type of idno (DOI):

    <idno type="DOI">http://dx.doi.org/10.1000/123</idno>
    

    This is alongside one described as a "URL":

    <idno type="URL">http://authority.nzetc.org/463/</idno>
    
     
  • To be picky, that's not actually a DOI, the DOI would be doi:10.1000/123. http://dx.doi.org/ is a DOI resolver, so http://dx.doi.org/10.1000/123 is the DOI plugged into the resolver, not (technically) an ID. I wouldn't use @type="DOI", but rather @type="URL" (or URI) for it.

     
  • Martin Holmes
    Martin Holmes
    2013-06-20

    You're right, of course, so that needs fixing in the idno spec.

     
  • Kevin Hawkins
    Kevin Hawkins
    2013-06-20

    Actually, the DOI is just 10.1000/123 (without the doi:, which is for a URI scheme that never caught on).

     
  • Quite right. I was mis-remembering.

    Sent from my phone.

    On Jun 20, 2013, at 17:49, "Kevin Hawkins" kshawkin@users.sf.net wrote:

    Actually, the DOI is just 10.1000/123 (without the doi:, which is for a URI scheme that never caught on).

    [feature-requests:#462] idno@type='uri' for Linked Data

    Status: open
    Created: Thu Jun 20, 2013 04:31 PM UTC by Kevin Hawkins
    Last Updated: Thu Jun 20, 2013 09:19 PM UTC
    Owner: nobody

    Hugh Cayless wrote on tei-council on 2013-06-20:

    It is possible to have an HTTP URI which is also an identifier, and in that case, I'd argue for keeping it in <idno>. I doubt there are any examples in the Guidelines, but it's the kind of thing we may see more of as Linked Data picks up steam. For example, the URI http://papyri.info/biblio/8276/ref denotes an actual book, and resolves to http://papyri.info/biblio/8276, which is a bibliographic record. Worldcat ids, like http://www.worldcat.org/oclc/185922478 function in the same way, and I can easily see people wanting to use them inside <bibl>s. I would. Maybe some thinking about the appropriate @type to use for these is warranted...

    I suggest that we add "uri" as a suggested value for idno@type and gloss this value as being used for URI used as an identifier for an item without intending resolution. Giving one of these examples would be good.

    While I also suspect we haven't used <idno> this way in the Guidelines, I know that we have used @ref in this way in a few cases. For example: <author ref="http://id.loc.gov/authorities/names/no2001067434">. I think these can stay as they are.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/tei/feature-requests/462/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #462

  • James Cummings
    James Cummings
    2013-11-09

    What is still left to do on this ticket?

     
  • Kevin Hawkins
    Kevin Hawkins
    2013-11-10

    Okay, so first of all I should note that I was wrong when I wrote above that there wouldn't be any instances of <idno type="url"> left. The case of <idno type="URL">http://authority.nzetc.org/463/</idno> is a fine example of an instance not fitting the case described in https://sourceforge.net/p/tei/bugs/448/ and therefore not modified in the course of implementing that ticket.

    As for what's left to do, we haven't decided whether to accept my ticket. Piotr offers what he calls an alternative, but I'm not sure it really addresses the ticket. Unfortunately I'm too tired to concentrate on this right now, and in any case I think we might need a neutral third party.

     
    • Piotr Banski
      Piotr Banski
      2013-11-11

      I'm not sure what you're referring to when you talk about "Piotr's alternative". But on re-reading this ticket, I couldn't escape the feeling that, with URIs being identifiers, and with <idno> being used for identifiers, something seems amiss when you suddenly decide to eliminate <idno> with URIs in favour of <ptr> with pure pointing semantics. Hmm, I think I could call this the wrong move.

       
      • Kevin Hawkins
        Kevin Hawkins
        2013-11-11

        Piotr's alternative was: "Maybe it's enough to replace 'URL' with 'URI' in the examples listed in the spec."

         
  • James Cummings
    James Cummings
    2013-11-11

    • assigned_to: Hugh A. Cayless
    • Group: AMBER --> GREEN
     
  • James Cummings
    James Cummings
    2013-11-11

    ASsigned to Hugh; Green.

     
  • The bit that I'm implementing is just to give an example of <idno type="URI"> I agree with Piotr, and I think Kevin does now too, that there can be idnos of type URI in bibliography. URLs there might better be refs, but can be idnos. It depends on what the encoder is doing.

     
    • Piotr Banski
      Piotr Banski
      2013-11-11

      Ah, thanks Hugh, I think I can see the motivation now for eliminating the not-so-URIsh cases in favour of pointing, while leaving the good guys be.

       
    • Kevin Hawkins
      Kevin Hawkins
      2013-11-11

      Yes, I'm also satisfied and happy for Hugh to add an example of <idno type="URI">.

       
  • Fixed with r12605

     
    • status: open --> closed-fixed